Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.mvc.condition
Interface NameValueExpression<T>

    public interface NameValueExpression<T>

A contract for `"name!=value"` style expression used to specify request parameters and request header conditions in `@RequestMapping`.

Since:
  3.1
Author:
  Rossen Stoyanchev
See Also:
  `RequestMapping.params()`, `RequestMapping.headers()`

Method Summary
`String` | `getName()`
`T` | `getValue()`
`boolean` | `isNegated()`

Method Detail

### getName

    String getName()

### getValue

    T getValue()

### isNegated

    boolean isNegated()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD